#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 4 February 2002                                                     *
#                                                                            *
#*****************************************************************************

.first
	set command $disk2:[joukj.com]bison.cld

CFLAGS=/name=(as_is,short)/float=ieee\
	/define=("LOCALEDIR=""$disk2:[joukj.share.locale]""",\
	"LOCALE_ALIAS_PATH=""$disk2:[joukj.share.locale]""",\
	"LIBDIR=""$disk2:[joukj.bin]""","IN_LIBINTL=1","HAVE_CONFIG_H=1")\
	/include=([-],[],[-.intl])

YACC=bison/yacc/def/name=__gettext

.y.obj :
	$(YACC)/outp=$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).y
	cc $(CFLAGS) $(MMS$TARGET_NAME).c

OBJECTS=bindtextdom.obj,dcgettext.obj,dgettext.obj,gettext.obj,\
finddomain.obj,loadmsgcat.obj,localealias.obj,textdomain.obj,l10nflist.obj,\
explodename.obj,dcigettext.obj,dcngettext.obj,dngettext.obj,ngettext.obj,\
plural.obj,plural-exp.obj,localcharset.obj,localename.obj,osdep.obj

GETTOBJS = intl-compat.obj

all : libintl.h,$(OBJECTS),$(GETTOBJS)
	library/create [-]libgettext.olb
	library [-]libgettext.olb $(OBJECTS)
	library [-]libgettext.olb $(GETTOBJS)

libintl.h : libgnuintl.h
	cop libgnuintl.h libintl.h

bindtextdom.obj : bindtextdom.c
dcgettext.obj : dcgettext.c
dgettext.obj : dgettext.c
gettext.obj : gettext.c
finddomain.obj : finddomain.c
loadmsgcat.obj : loadmsgcat.c
localealias.obj : localealias.c
textdomain.obj : textdomain.c
l10nflist.obj : l10nflist.c
explodename.obj : explodename.c
dcigettext.obj : dcigettext.c
dcngettext.obj : dcngettext.c
dngettext.obj : dngettext.c
ngettext.obj : ngettext.c
plural.obj : plural.y
plural-exp.obj : plural-exp.c
localcharset.obj : localcharset.c
localename.obj : localename.c
osdep.obj : osdep.c
intl-compat.obj : intl-compat.c
