#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 4 February 2002                                                     *
#                                                                            *
#*****************************************************************************

.first
	set command $disk2:[joukj.com]bison.cld

LEX=flex

CFLAGS=/name=(as_is,short)/float=ieee\
	/define=("LOCALEDIR=""$disk2:[joukj.share.locale]""",\
	"GETTEXTJAR=""$disk2:[joukj.share.gettext]""",\
	"LIBDIR=""$disk2:[joukj.bin]""",\
	"PROJECTSDIR=""$disk2:[joukj.share.gettext.projects]""",\
	"HAVE_CONFIG_H=1")/include=([-],[],[-.lib],[-.intl],[-.libuniname])

YACC=bison/yacc/def/name=__gettext

.y.obj :
	$(YACC)/outp=$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).y
	cc $(CFLAGS) $(MMS$TARGET_NAME).c

OBJECTS=message.obj,po.obj,po-lex.obj,po-gram-gen.obj,\
	po-hash-gen.obj,po-charset.obj,open-po.obj,dir-list.obj,str-list.obj,\
	read-po.obj,write-po.obj,msgl-ascii.obj,msgl-iconv.obj,\
	msgl-equal.obj,msgl-cat.obj,msgl-english.obj,file-list.obj,\
	msgl-charset.obj,po-time.obj,plural_src.obj,format.obj,format-c.obj,\
	format-java.obj,format-lisp.obj,format-elisp.obj,format-librep.obj,\
	format-python.obj,format-pascal.obj,format-ycp.obj,write-java.obj,\
	write-mo.obj,plural-eval.obj,read-java.obj,read-mo.obj,x-c.obj,\
	x-po.obj,x-lisp.obj,x-elisp.obj,x-librep.obj,x-java.obj,x-ycp.obj,\
	x-rst.obj,format-awk.obj,format-tcl.obj,write-tcl.obj,\
	plural-table.obj,x-awk.obj,read-tcl.obj,x-tcl.obj,x-glade.obj,\
	x-python.obj

EXES=gettext.exe, ngettext.exe, msgcmp.exe, \
	msgfmt.exe, msgmerge.exe, msgunfmt.exe, \
	xgettext.exe, msgattrib.exe, msgcat.exe, \
	msgcomm.exe, msgconv.exe, msgen.exe, \
	msgexec.exe, msgfilter.exe, msggrep.exe, \
	msginit.exe, msguniq.exe,hostname.exe, urlget.exe

all : lib $(EXES)
	show time

gettext.exe : gettext.obj,[-]libgettext.olb,gettext.opt
	link gettext,gettext/opt

ngettext.exe : ngettext.obj,[-]libgettext.olb,gettext.opt
	link ngettext,gettext/opt

msgcmp.exe : msgcmp.obj,[-]libgettext.olb,gettext.opt
	link msgcmp,gettext/opt

msgfmt.exe : msgfmt.obj,[-]libgettext.olb,gettext.opt
	link msgfmt,gettext/opt

msgmerge.exe : msgmerge.obj,[-]libgettext.olb,gettext.opt
	link msgmerge,gettext/opt

msgunfmt.exe : msgunfmt.obj,[-]libgettext.olb,gettext.opt
	link msgunfmt,gettext/opt

xgettext.exe : xgettext.obj,[-]libgettext.olb,gettext.opt
	link xgettext,gettext/opt

msgattrib.exe : msgattrib.obj,[-]libgettext.olb,gettext.opt
	link msgattrib,gettext/opt

msgcat.exe : msgcat.obj,[-]libgettext.olb,gettext.opt
	link msgcat,gettext/opt

msgcomm.exe : msgcomm.obj,[-]libgettext.olb,gettext.opt
	link msgcomm,gettext/opt

msgconv.exe : msgconv.obj,[-]libgettext.olb,gettext.opt
	link msgconv,gettext/opt

msgen.exe : msgen.obj,[-]libgettext.olb,gettext.opt
	link msgen,gettext/opt

msgexec.exe : msgexec.obj,[-]libgettext.olb,gettext.opt
	link msgexec,gettext/opt

msgfilter.exe : msgfilter.obj,[-]libgettext.olb,gettext.opt
	link msgfilter,gettext/opt

msggrep.exe : msggrep.obj,[-]libgettext.olb,gettext.opt
	link msggrep,gettext/opt

msginit.exe : msginit.obj,[-]libgettext.olb,gettext.opt
	link msginit,gettext/opt

msguniq.exe : msguniq.obj,[-]libgettext.olb,gettext.opt
	link msguniq,gettext/opt

hostname.exe : hostname.obj,[-]libgettext.olb,gettext.opt
	link hostname,gettext/opt

urlget.exe : urlget.obj,[-]libgettext.olb,gettext.opt
	link urlget,gettext/opt

lib : po-gram-gen2.h $(OBJECTS) 
	library [-]libgettext.olb $(OBJECTS)

po-gram-gen2.h : po-gram-gen.h
	pipe gsed "s/[yY][yY]/po_gram_/g" po-gram-gen.h > po-gram-gen2.h

plural_src.obj : plural.c
	cop plural.c plural_src.c
	cc $(CFLAGS)/obj=plural_src.obj plural_src.c

gettext.opt : gettext.opt_vms gettext_libiconv.opt_vms
	copy gettext.opt_vms gettext.opt
	if f$search("SYS$LIBRARY:LIBICONV.OLB") .nes. "" then copy gettext_libiconv.opt_vms gettext.opt 

x-java.c : x-java.l
	$(LEX) x-java.l
	rename lexyy.c x-java.c
